commit: 1d82ccc428c30caa03a3b76e60c9e7901749a0ac
Author: Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 23 19:29:12 2025 +0000
Commit: Marc Schiffbauer <mschiff <AT> gentoo <DOT> org>
CommitDate: Thu Jan 23 19:37:37 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d82ccc4
net-libs/libtlsrpt: new package, add 0.5.0_rc1, 9999
Signed-off-by: Marc Schiffbauer <mschiff <AT> gentoo.org>
net-libs/libtlsrpt/Manifest | 1 +
net-libs/libtlsrpt/libtlsrpt-0.5.0_rc1.ebuild | 38 +++++++++++++++++++++++++++
net-libs/libtlsrpt/libtlsrpt-9999.ebuild | 38 +++++++++++++++++++++++++++
net-libs/libtlsrpt/metadata.xml | 10 +++++++
4 files changed, 87 insertions(+)
diff --git a/net-libs/libtlsrpt/Manifest b/net-libs/libtlsrpt/Manifest
new file mode 100644
index 000000000000..6670c52760db
--- /dev/null
+++ b/net-libs/libtlsrpt/Manifest
@@ -0,0 +1 @@
+DIST libtlsrpt-0.5.0rc1.tar.gz 360474 BLAKE2B
23bbde2a650a56c6f01282cb470781eb9525dba6759833f664eda6d342b298b264570844a7cd735bfe87d8faeeb23f7e1566b791a253c01c679cf9366f674876
SHA512
05ae62b42bad90d5d84bb9fb72f0b53184fef18aafadc9611e16c21333a3fa090c8fbdb0378364ce87154eb4b6a62a566cbdaae0a7216a8f9fc60058572e2501
diff --git a/net-libs/libtlsrpt/libtlsrpt-0.5.0_rc1.ebuild
b/net-libs/libtlsrpt/libtlsrpt-0.5.0_rc1.ebuild
new file mode 100644
index 000000000000..d6145b4036ba
--- /dev/null
+++ b/net-libs/libtlsrpt/libtlsrpt-0.5.0_rc1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ MY_P="libtlsrpt-${PV/_/}"
+ EGIT_REPO_URI="https://github.com/sys4/tlsrpt.git"
+ S="${WORKDIR}/${MY_P}/${PN}"
+else
+ MY_P="${PN}-${PV/_/}"
+
SRC_URI="https://github.com/sys4/tlsrpt/releases/download/v${PV/_/}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="libraries and tools to implement TLSRPT"
+HOMEPAGE="https://github.com/sys4/tlsrpt"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+ default
+}
+
+src_install() {
+ default
+ find "${ED}" -type f -name '*.la' -delete || die
+}
diff --git a/net-libs/libtlsrpt/libtlsrpt-9999.ebuild
b/net-libs/libtlsrpt/libtlsrpt-9999.ebuild
new file mode 100644
index 000000000000..d6145b4036ba
--- /dev/null
+++ b/net-libs/libtlsrpt/libtlsrpt-9999.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools
+
+if [[ ${PV} == 9999 ]]; then
+ inherit git-r3
+ MY_P="libtlsrpt-${PV/_/}"
+ EGIT_REPO_URI="https://github.com/sys4/tlsrpt.git"
+ S="${WORKDIR}/${MY_P}/${PN}"
+else
+ MY_P="${PN}-${PV/_/}"
+
SRC_URI="https://github.com/sys4/tlsrpt/releases/download/v${PV/_/}/${MY_P}.tar.gz"
+ KEYWORDS="~amd64"
+ S="${WORKDIR}/${MY_P}"
+fi
+
+DESCRIPTION="libraries and tools to implement TLSRPT"
+HOMEPAGE="https://github.com/sys4/tlsrpt"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+ default
+}
+
+src_install() {
+ default
+ find "${ED}" -type f -name '*.la' -delete || die
+}
diff --git a/net-libs/libtlsrpt/metadata.xml b/net-libs/libtlsrpt/metadata.xml
new file mode 100644
index 000000000000..2bc724c1c82a
--- /dev/null
+++ b/net-libs/libtlsrpt/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM 'https://www.gentoo.org/dtd/metadata.dtd'>
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">sys4/tlsrpt</remote-id>
+ </upstream>
+</pkgmetadata>